<template>
	<block type="banner" :class="[{'banner--full' : full, 'banner--small' : !full}]" v-bind="$attrs" :params="params">	
		<div class="banner" :class="{'banner--colorize': colorize}">
			<div class="banner__inner" v-if="full">
				<div class="banner__full-img">
					<img :src="params.img" alt="">
				</div>
				<div class="container">
					<banner-content :params="params" :full="full"></banner-content>
				</div>
			</div>
			<div class="container" v-else>
				<div class="banner__inner">
					<banner-content :params="params_" :full="full"></banner-content>
				</div>
			</div>
		</div>			
	</block>
</template>

<script>
export default {
	props: {
		scheme: {
			default: 'white'
		},
		full: {
			type: Boolean,
        	default: false
		},
		colorize: {
			type: Boolean,
			default: true
		},
		params: Object,
		componentProperties: null
	},
    data() {
    	return {
            params_ : this.componentProperties || this.params 
        }
    }
}
</script>
